/*
 * Copyright 2014, Broadcom Corporation
 * All Rights Reserved.
 *
 * This is UNPUBLISHED PROPRIETARY SOURCE CODE of Broadcom Corporation;
 * the contents of this file may not be disclosed to third parties, copied
 * or duplicated in any form, in whole or in part, without the prior
 * written permission of Broadcom Corporation.
 */

/** @file
*
* BLE Vendor Specific Device
*
* This file provides definitions and function prototypes for Speed Test
* Service
*
*/
#ifndef SPEED_TEST_H
#define SPEED_TEST_H

#define	SPEED_TEST_START	1

#define		HANDLE_UUID_SPEED_TEST		0x28
#define		HANDLE_SPEED_TEST_CHARACTERISTIC_DATA_W0		0x29
#define		HANDLE_SPEED_TEST_CHARACTERISTIC_DATA_W0_VALUE		0x2A
#define		HANDLE_SPEED_TEST_CHARACTERISTIC_DATA_W1		0x2B
#define		HANDLE_SPEED_TEST_CHARACTERISTIC_DATA_W1_VALUE		0x2C
#define		HANDLE_SPEED_TEST_CHARACTERISTIC_DATA_W2		0x2D
#define		HANDLE_SPEED_TEST_CHARACTERISTIC_DATA_W2_VALUE		0x2E
#define		HANDLE_SPEED_TEST_CHARACTERISTIC_DATA_W3		0x2F
#define		HANDLE_SPEED_TEST_CHARACTERISTIC_DATA_W3_VALUE		0x30
#define		HANDLE_SPEED_TEST_CHARACTERISTIC_DATA_R0		0x31
#define		HANDLE_SPEED_TEST_CHARACTERISTIC_DATA_R0_VALUE		0x32
#define		HANDLE_SPEED_TEST_CHARACTERISTIC_DATA_R0_DESCRIPTOR		0x33
#define		HANDLE_SPEED_TEST_CHARACTERISTIC_DATA_R1		0x34
#define		HANDLE_SPEED_TEST_CHARACTERISTIC_DATA_R1_VALUE		0x35
#define		HANDLE_SPEED_TEST_CHARACTERISTIC_DATA_R1_DESCRIPTOR		0x36
#define		HANDLE_SPEED_TEST_CHARACTERISTIC_DATA_R2		0x37
#define		HANDLE_SPEED_TEST_CHARACTERISTIC_DATA_R2_VALUE		0x38
#define		HANDLE_SPEED_TEST_CHARACTERISTIC_DATA_R2_DESCRIPTOR		0x39
#define		HANDLE_SPEED_TEST_CHARACTERISTIC_DATA_R3		0x3A
#define		HANDLE_SPEED_TEST_CHARACTERISTIC_DATA_R3_VALUE		0x3B
#define		HANDLE_SPEED_TEST_CHARACTERISTIC_DATA_R3_DESCRIPTOR		0x3C
#define		HANDLE_SPEED_TEST_CHARACTERISTIC_CONTROL_W		0x3D
#define		HANDLE_SPEED_TEST_CHARACTERISTIC_CONTROL_W_VALUE		0x3E
#define		HANDLE_SPEED_TEST_CHARACTERISTIC_CONTROL_R		0x3F
#define		HANDLE_SPEED_TEST_CHARACTERISTIC_CONTROL_R_VALUE		0x40
#define		HANDLE_SPEED_TEST_CHARACTERISTIC_CONTROL_R_DESCRIPTOR		0x41

//---- UUID defs ----
#define		UUID_SPEED_TEST		0x45,0x4C,0xDB,0xC3,0x17,0x7F,0x56,0x82,0x60,0x40,0xAA,0x4D,0x00,0x00,0x00,0x00
#define		UUID_SPEED_TEST_CHARACTERISTIC_DATA_W0		0x45,0x4C,0xDB,0xC3,0x17,0x7F,0x56,0x82,0x60,0x40,0xAA,0x4D,0x01,0x00,0x00,0x00
#define		UUID_SPEED_TEST_CHARACTERISTIC_DATA_W1		0x45,0x4C,0xDB,0xC3,0x17,0x7F,0x56,0x82,0x60,0x40,0xAA,0x4D,0x02,0x00,0x00,0x00
#define		UUID_SPEED_TEST_CHARACTERISTIC_DATA_W2		0x45,0x4C,0xDB,0xC3,0x17,0x7F,0x56,0x82,0x60,0x40,0xAA,0x4D,0x03,0x00,0x00,0x00
#define		UUID_SPEED_TEST_CHARACTERISTIC_DATA_W3		0x45,0x4C,0xDB,0xC3,0x17,0x7F,0x56,0x82,0x60,0x40,0xAA,0x4D,0x04,0x00,0x00,0x00
#define		UUID_SPEED_TEST_CHARACTERISTIC_DATA_R0		0x45,0x4C,0xDB,0xC3,0x17,0x7F,0x56,0x82,0x60,0x40,0xAA,0x4D,0x05,0x00,0x00,0x00
#define		UUID_SPEED_TEST_CHARACTERISTIC_DATA_R1		0x45,0x4C,0xDB,0xC3,0x17,0x7F,0x56,0x82,0x60,0x40,0xAA,0x4D,0x06,0x00,0x00,0x00
#define		UUID_SPEED_TEST_CHARACTERISTIC_DATA_R2		0x45,0x4C,0xDB,0xC3,0x17,0x7F,0x56,0x82,0x60,0x40,0xAA,0x4D,0x07,0x00,0x00,0x00
#define		UUID_SPEED_TEST_CHARACTERISTIC_DATA_R3		0x45,0x4C,0xDB,0xC3,0x17,0x7F,0x56,0x82,0x60,0x40,0xAA,0x4D,0x08,0x00,0x00,0x00
#define		UUID_SPEED_TEST_CHARACTERISTIC_CONTROL_W		0x45,0x4C,0xDB,0xC3,0x17,0x7F,0x56,0x82,0x60,0x40,0xAA,0x4D,0x09,0x00,0x00,0x00
#define		UUID_SPEED_TEST_CHARACTERISTIC_CONTROL_R		0x45,0x4C,0xDB,0xC3,0x17,0x7F,0x56,0x82,0x60,0x40,0xAA,0x4D,0x0A,0x00,0x00,0x00

//include guard
#endif
